package Mud;

import java.awt.*;
import java.util.*;

/**
 * Titre :        Element du Mud
 * Description :
 * Copyright :    Copyright (c) 2001
 * Socit :
 * @author J. Ferber
 * @version 1.0
 */

public abstract class Element
{

        int colonne = 0;
        int rangee = 0;

        JeuCases jeu;
        JeuCasesDisplay visu;

        int couleur=-1;

        Element(){
        }

        void installer(int c, int r, int color, JeuCases j, JeuCasesDisplay v)
        {
                //System.out.println("installer: " + c + ", " + r);
                jeu = j;
                visu = v;
                couleur=color%8;
                placer(c, r);
        }

        void placer(int c, int r)
        {
                colonne = c;
                rangee = r;
                jeu.mettreElement(this, c, r);
        }

        void enlever()
        {
                jeu.supprimerElement(this, colonne, rangee);
        }

        void deplacer(int c, int r){
            enlever();
            placer(c,r);
        }

        abstract void dessiner(Graphics g, int l, int h);


        abstract void dump();

        static public Color getColor(int c) {
            switch(c) {
                case 0: return(Color.blue);
                case 1: return(Color.cyan);
                case 2: return(Color.red);
                case 3: return(Color.green);
                case 4: return(Color.magenta);
                case 5: return(Color.orange);
                case 6: return(Color.pink);
                case 7: return(Color.yellow);
                default : return(Color.blue);
            }
  	    }

}

