package Mud;

import java.awt.*;
import java.awt.event.*;
import java.io.*;
import javax.swing.*;

/**
 * Titre :        Mud1
 * Description :
 * Copyright :    Copyright (c) 2001
 * Socit :
 * @author J. Ferber
 * @version 1.0
 */

public class JeuCasesDisplay extends JComponent
			                   implements MouseListener
{

    JeuCases jeu;
    public JeuCasesDisplay(JeuCases j) {
		   jeu = j;
		   addMouseListener(this);
    }

	public void paintComponent(Graphics g){
		   int largeurCase=getWidth()/jeu.largeur;
		   int hauteurCase=getHeight()/jeu.hauteur;
		   drawGrille(g,largeurCase,hauteurCase);
		   drawCases(g,largeurCase,hauteurCase);
	}

	void drawGrille(Graphics g, int l, int h){
		 g.setColor(Color.darkGray);
		 for(int i=0;i<jeu.largeur;i++){
			g.drawLine(i*l,0,i*l,getHeight());
		 }
         g.drawLine(getWidth()-1,0,getWidth()-1,getHeight());
		 for(int j=0;j<jeu.hauteur;j++){
			g.drawLine(0,j*h,getWidth(),j*h);
		 }
         g.drawLine(0,getHeight()-1,getWidth(),getHeight()-1);
	}

	void drawCases(Graphics g, int l, int h){
		 for(int i=0;i<jeu.largeur;i++)
		   for(int j=0;j<jeu.hauteur;j++){
		      if (jeu.elements[i][j] != null)
				 jeu.elements[i][j].dessiner(g,l,h);
		   }
	}


	public void mouseClicked(MouseEvent e){}
	public void mouseEntered(MouseEvent e){}
	public void mouseExited(MouseEvent e){}
	public void mousePressed(MouseEvent e){
		int largeurCase=getWidth()/jeu.largeur;
		int hauteurCase=getHeight()/jeu.hauteur;
		jeu.doClick(e.getX()/largeurCase,e.getY()/hauteurCase);
		repaint();
	}
	public void mouseReleased(MouseEvent e){}

}